Bug 239684 - security/clamav: Update to 0.101.4 (security/bugfix release)
Summary: security/clamav: Update to 0.101.4 (security/bugfix release)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://blog.clamav.net/2019/08/clama...
Keywords: security
: 240021 (view as bug list)
Depends on: 240020
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-07 01:59 UTC by Kubilay Kocak
Modified: 2019-08-24 03:33 UTC (History)
4 users (show)

See Also:
delphij: maintainer-feedback+
koobs: merge-quarterly+


Attachments
patch (819 bytes, patch)
2019-08-07 11:21 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff
patch-to-0.101.4 (819 bytes, patch)
2019-08-22 19:18 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2019-08-07 01:59:38 UTC

    
Comment 1 Kurt Jaeger freebsd_committer 2019-08-07 11:21:06 UTC
Created attachment 206328 [details]
patch

testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2019-08-07 11:31:38 UTC
testbuilds fine on cur-amd64, cur-i386, 12.0a, 11.3a, 11.2a
Comment 3 Kurt Jaeger freebsd_committer 2019-08-07 20:06:54 UTC
Looks like another fix is coming:
https://www.openwall.com/lists/oss-security/2019/08/06/3
Comment 4 Xin LI freebsd_committer 2019-08-08 05:22:09 UTC
Approved (ports-secteam hat).
Comment 5 commit-hook freebsd_committer 2019-08-08 09:30:24 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  8 09:30:04 UTC 2019
New revision: 508368
URL: https://svnweb.freebsd.org/changeset/ports/508368

Log:
  security/clamav: upgrade 0.101.2 -> 0.101.3, partial security fix

  - please note another fix is coming soonish:
    https://www.openwall.com/lists/oss-security/2019/08/06/3
  - see also
    https://bugzilla.clamav.net/show_bug.cgi?id=12356

  PR:		239684
  Approved by:	delphij (ports-secteam)
  Relnotes:	https://blog.clamav.net/2019/08/clamav-01013-security-patch-release-and.html
  MFH:		2019Q3
  Security:	CVE-2019-13232

Changes:
  head/security/clamav/Makefile
  head/security/clamav/distinfo
Comment 6 commit-hook freebsd_committer 2019-08-08 18:53:14 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  8 18:52:36 UTC 2019
New revision: 508400
URL: https://svnweb.freebsd.org/changeset/ports/508400

Log:
  MFH: r508368

  security/clamav: upgrade 0.101.2 -> 0.101.3, partial security fix

  - please note another fix is coming soonish:
    https://www.openwall.com/lists/oss-security/2019/08/06/3
  - see also
    https://bugzilla.clamav.net/show_bug.cgi?id=12356

  PR:		239684
  Approved by:	ports-secteam (delphij, joneum)
  Relnotes:	https://blog.clamav.net/2019/08/clamav-01013-security-patch-release-and.html
  Security:	CVE-2019-13232

Changes:
_U  branches/2019Q3/
  branches/2019Q3/security/clamav/Makefile
  branches/2019Q3/security/clamav/distinfo
Comment 7 Kurt Jaeger freebsd_committer 2019-08-22 19:13:55 UTC
clamav 0.101.4 was released yesterday:

https://blog.clamav.net/2019/08/clamav-01014-security-patch-release-has.html
Comment 8 Kurt Jaeger freebsd_committer 2019-08-22 19:18:13 UTC
Created attachment 206797 [details]
patch-to-0.101.4

testbuilds are fine.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 01:28:11 UTC
*** Bug 240021 has been marked as a duplicate of this bug. ***
Comment 10 commit-hook freebsd_committer 2019-08-23 06:27:39 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 23 06:27:16 UTC 2019
New revision: 509631
URL: https://svnweb.freebsd.org/changeset/ports/509631

Log:
  security/clamav: upgrade 0.101.3 -> 0.101.4

  PR:		239684
  Approved by:	ports-secteam (joneum)
  Relnotes:	https://blog.clamav.net/2019/08/clamav-01014-security-patch-release-has.html
  Security:	CVE-2019-12900, CVE-2019-12625
  MFH:		2019Q3

Changes:
  head/security/clamav/Makefile
  head/security/clamav/distinfo
Comment 11 commit-hook freebsd_committer 2019-08-23 06:28:41 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 23 06:28:22 UTC 2019
New revision: 509632
URL: https://svnweb.freebsd.org/changeset/ports/509632

Log:
  MFH: r509631

  security/clamav: upgrade 0.101.3 -> 0.101.4

  PR:		239684
  Approved by:	ports-secteam (joneum)
  Relnotes:	https://blog.clamav.net/2019/08/clamav-01014-security-patch-release-has.html
  Security:	CVE-2019-12900, CVE-2019-12625
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/security/clamav/Makefile
  branches/2019Q3/security/clamav/distinfo
Comment 12 Kurt Jaeger freebsd_committer 2019-08-23 06:35:44 UTC
Thanks to all!